lkml.org 
[lkml]   [2012]   [Mar]   [9]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: Build broken on s390 and ia64 [was: Linux 2.6.32.58]
On 03/09/2012 07:57 AM, Willy Tarreau wrote:
> Thanks but now I have a doubt, maybe Jiri and Tony can help. In the
> commit above, Tony says that CONFIG_COMPAT has been broken for a long
> time (2008) and nobody apparently uses it. Still, Jiri got a build
> failure because he used CONFIG_COMPAT. So either there are some valid
> uses and we should not remove the feature that late in a stable branch,
> or Jiri only encountered it upon a make allyesconfig then it might
> be safe to remove it.

It's a SLE11-SP1 that is using the kernel and has COMPAT on ia64
enabled. I don't know if it is broken or if we provide support for that.

If you are sure COMPAT is broken on ia64 even in 2.6.32, feel free to
ban COMPAT completely.

thanks,
--
js
suse labs


\
 
 \ /
  Last update: 2012-03-09 09:31    [from the cache]
©2003-2011 Jasper Spaans